Skip to main content
`Ctrl`+`K`

# DMLabelEphemeralGetTransform

Get the transform for this ephemeral label

## Synopsis

    #include "petscdmlabelephemeral.h"
    #include "petscdmplextransform.h"
    PetscErrorCode DMLabelEphemeralGetTransform(DMLabel label, DMPlexTransform *tr)

Not Collective

## Input Parameter

- label - the `DMLabel`

## Output Parameter

- tr - the transform for this ephemeral label

## Note

Ephemeral labels are produced automatically from a base label and a `DMPlexTransform`.

## See Also

`DMLabelEphemeralSetTransform()`, `DMLabelEphemeralGetLabel()`, `DMLabelSetType()`

## Level

intermediate

## Location

src/dm/label/impls/ephemeral/plex/dmlabelephplex.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages